#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: enclosed-exceptions
version: 1.0.1.1
id: enclosed-exceptions-1.0.1.1-5ab1bb2405f76f303a0c056a92ed938b
key: enclo_6ul4DkicxEJA2JxSF4F14e
license: MIT
maintainer: jmacristovao@gmail.com, michael@snoyman.com
homepage: https://github.com/jcristovao/enclosed-exceptions
synopsis: Catching all exceptions from within an enclosed computation
description:
    Catching all exceptions raised within an enclosed computation,
    while remaining responsive to (external) asynchronous exceptions.
    For more information on the technique, please see:
    <https://www.fpcomplete.com/user/snoyberg/general-haskell/exceptions/catching-all-exceptions>
category: Control
author: Michael Snoyman, João Cristóvão
exposed: True
exposed-modules:
    Control.Exception.Enclosed
trusted: False
import-dirs: /usr/lib/ghc-7.10.3/site-local/enclosed-exceptions-1.0.1.1
library-dirs: /usr/lib/ghc-7.10.3/site-local/enclosed-exceptions-1.0.1.1
data-dir: /usr/share/arm-linux-ghc-7.10.3/enclosed-exceptions-1.0.1.1
hs-libraries: HSenclosed-exceptions-1.0.1.1-6ul4DkicxEJA2JxSF4F14e
depends:
    async-2.1.0-b35f12010d11213b63d33c4f0cc6089c
    base-4.8.2.0-2f1f71a7fcf013cd47fd21f489064f9a
    deepseq-1.4.1.1-3975618f889b45239daa47b7443eaeee
    lifted-base-0.2.3.6-d8ef13cabe0ecf389445da28b9097678
    monad-control-1.0.0.4-d9c084378409c615b7e0fe184537afc4
    transformers-0.4.2.0-252429dba576bc247c1932da496e0a3f
    transformers-base-0.4.4-33c0b4c3e48fe310d4042b2ba2620085
haddock-interfaces: /usr/share/doc/haskell-enclosed-exceptions/html/enclosed-exceptions.haddock
haddock-html: /usr/share/doc/haskell-enclosed-exceptions/html
' | '/usr/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
